sredird(8)

NAME
sredird - RFC 2217 serial port server

SYNOPSIS
sredird [-i] log-level serial-device lock-file [poll-interval]

DESCRIPTION
This manual page documents briefly the sredird, program.

This program when run through inetd will use the RFC 2217 extensions to TELNET to implement serial commands over the TCP connection and interface to a specified serial port.

OPTIONS
An optional first parameter is '-i' to enable compatability with Cisco IOS.

The first mandatory parameter is the log level for use in syslog. The next mandatory parameter is the device node for the serial device, it must be a fully qualified path. The final mandatory parameter is the file name for the lock file to be used to prevent multiple instances of sredird from talking to the serial port at the same time, or to allow sharing a port between modem and sredird.

EXAMPLE
Here is a configuration line for running it from inetd: sredir stream tcp nowait root /usr/sbin/tcpd /usr/sbin/sredird 5 /dev/modem /var/lock/LCK..modem

AUTHOR
This man page was written by Russell Coker <russell@coker.com.au>. May be freely used and distributed without restriction under the terms of the GPL.

The sredird program was written by Denis Sbragion <d.sbragion@infotecna.it> and Jeffrey Altman <jaltman@columbia.edu>.